# Recaptcha V3

1. **Getting Started**

Hướng dẫn giải recaptcha v3 bằng api

#### Import <a href="#import" id="import"></a>

### Create task <a href="#create-task" id="create-task"></a>

`POST` `/createTask`

```
endpoint: https://api.captcha-vip.io.vn/createTask
```

Tạo Task mới

**Headers**

**Body**

```
{
  "clientKey": "67b6bcbb1a728ea8d563de6d169a2057",
  "task": {
    "type": "RecaptchaV3TaskProxyless",
    "websiteURL": "https://example.com/test",
    "websiteKey": "6Lcg7CMUAAAAANphynKgn9YAgA4tQ2KI_iqRyTwd",
    "isEnterprise" : false,
    "minScore" : 0.3,
    "pageAction": "verify",
     "cheap": false
  }
}
```

default: RecaptchaV3TaskProxyless

hành động của bạn trên web này mặc định "verify"

mặc định false, nếu cheap bằng false sẽ là captcha tốc độ nhanh

**Response**

```
{
  "errorId": 0,
  "taskId": 7654321
}
```

### Getting result <a href="#getting-result" id="getting-result"></a>

`POST` `/getTaskResult`

```
endpoint: https://api.captcha-vip.io.vn/getTaskResult
```

Lấy kết quả

**Headers**

**Body**

```
{
  "clientKey": "67b6bcbb1a728ea8d563de6d169a2057",
  "taskId": 7654321
}
```

là kết quả trả về của createTask bên trên

**Response**

```
{
  "errorId": 0,
  "status": "ready",
  "solution": {
    "gRecaptchaResponse": "3AHJ_VuvYIBNBW5yyv0zRYJ7......."
  }
}

hoặc đang tiến trình

{
  "errorId": 0,
  "status": "processing"
}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.captcha-vip.io.vn/captcha-vip/recaptcha-v3.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
